<?php
return [
  'folders' => function() {
    $arr = ['base' => dirname(__DIR__, 2)];
    $arr['resources'] = implode(DIRECTORY_SEPARATOR, [
      $arr['base'],
      'resources'
    ]);
    $arr['routes'] = implode(DIRECTORY_SEPARATOR, [
      $arr['resources'],
      'routes'
    ]);
    $arr['templates'] = implode(DIRECTORY_SEPARATOR, [
      $arr['resources'],
      'views'
    ]);
    $arr['cache'] = implode(DIRECTORY_SEPARATOR, [
      $arr['base'],
      'cache'
    ]);
    return (object) $arr;
  }
];
